StarCastRecommend Namespace Reference

## Classes

class | Knap
class | ReadFiles

## Functions

def | eval_func (a)
| This function converts a value to a string and returns it. More...
def | mul_func (a)
| This function converts a value to an integer and multiplies it by 500. More...
def | make_list (a)
def | div_func (a)
def | recommendation ()
| This is the core function that reads files, takes user input, applies association rules, and uses knapsack to finally output a good star cast for a movie. It uses other classes to achieve this functionality.
def | actorEvaluation ()

## Variables

| app = QtWidgets.QApplication([])
| dig = uic.loadUi("projectUI.ui")
| res = uic.loadUi("result.ui")
list | genreList = ['Adventure','Action','Comedy','Crime','Drama','Family','Fantasy','Thriller','Romance','Horror','Musical']

## Detailed Description

    @file File Documented

## Function Documentation

## actorEvaluation()

def StarCastRecommend.actorEvaluation | ( |  | ) |

    Function that communicates with the user interface.

## div_func()

def StarCastRecommend.div_func | ( |  | a | ) |

    This function divides the number a by 500 and returns it.

## eval_func()

def StarCastRecommend.eval_func | ( |  | a | ) |

This function converts a value to a string and returns it.

Parameters

  a | Value to be converted to string

## make_list()

def StarCastRecommend.make_list | ( |  | a | ) |

    This function creates a list out of the parameter and returns it.

## mul_func()

def StarCastRecommend.mul_func | ( |  | a | ) |

This function converts a value to an integer and multiplies it by 500.

Parameters

  a | Value to be multiplied by 500